#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-typogrify
Version		:	2.0.7
Release		:	14.4.0.0%{?dist}
Summary		:	Filters to enhance web typography, with support for Django & Jinja templates

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://pypi.org/project/typogrify/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Typogrify provides a set of custom filters that
automatically apply various transformations to
plain text in order to yield typographically-improved HTML.
While often used in conjunction with Jinja_ and
Django_ template systems, the filters can be used
in any environment.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/packages/*.py
%{python3_sitelib}/%{sname}/packages/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/packages/titlecase/*.py
%{python3_sitelib}/%{sname}/packages/titlecase/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/templatetags/*.py
%{python3_sitelib}/%{sname}/templatetags/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

# remove shebang line from the python scripts
for lib in $(find -type f -name '*.py'); do
 sed -i.python -e '1{\@^#!@d}' $lib
done
#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
